Bug 458993 - Failed to install jbossas-ejb3 using up2date
Failed to install jbossas-ejb3 using up2date
Status: CLOSED WONTFIX
Product: JBoss Enterprise Application Platform 4
Classification: JBoss
Component: distribution (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dennis Gregorovic
Len DiMaggio
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-13 13:24 EDT by Arangel Angov
Modified: 2011-12-12 07:35 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-12-12 07:35:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Arangel Angov 2008-08-13 13:24:35 EDT
Description of problem:
I'm trying to install jbossas-ejb3 on several different RHEL4 servers using up2date.

This is the output:

# up2date -i jbossas-ejb3

Fetching Obsoletes list for channel: rhel-x86_64-as-4...

Fetching Obsoletes list for channel: rhsoc-utility-4as-64...

Fetching Obsoletes list for channel: rhel-x86_64-as-4-appstk-1...

Fetching Obsoletes list for channel: rhel-x86_64-as-4-extras...

Fetching Obsoletes list for channel: rhel-4-as-x86_64-rhaps-2...

Fetching Obsoletes list for channel: rhsoc-jboss-issuetracker-noarch...

Fetching rpm headers...

Name                                    Version        Rel     
----------------------------------------------------------
jbossas-ejb3                            1.0.0          0.2.rc9.CP04.el4s1.2noarch


Testing package set / solving RPM inter-dependencies...
There was a fatal RPM error. The message was:
Failed running rpm transaction


Version-Release number of selected component (if applicable):
1.0.0          0.2.rc9.CP04.el4s1.2noarch

How reproducible:
Try to install jbossas-ejb3 on RHEL4 machine subscribed to the Red Hat Application Stack v1 (for AS v. 4 x86) channel.

Steps to Reproduce:
1. ensure that your macghine is subscribed to the necessary channel
2. run up2date -i jbossas-ejb3

  
Actual results:
Installation of package using up2date fails.

Expected results:
Installation of package using up2date should work.

Additional info:

If you need any more information let me know or just ping me on IRC, my nickname is arangel.
Comment 1 Dennis Gregorovic 2008-08-13 14:38:54 EDT
Fernando, have you seen this before?
Comment 2 Arangel Angov 2008-08-14 14:07:00 EDT
Just saw this after trying to apply all updates to one of the servers.

The following Packages are obsoleted by newer packages:

Name-Version-Release        obsoleted by      Name-Version-Release
-------------------------------------------------------------------------------
jbossas-ejb3-1.0.0-0.2.rc9.CP04.el4s1.2 jbossas-4.2.0-3.GA_CP02.ep1.3.el4
Comment 3 Fernando Nasser 2008-10-20 10:35:42 EDT
Maybe this servers have some old version of the Red Hat Stacks product installed?
This obsoletes was meant to remove and additional -ejb3 subpackage added in the first release.  The funny thing is that this upgrade was tested by the Stacks QAing.

I would try:

1) Uninstall the Stacks jbossas (completely) first.  Remove jbossas and jbossas-ejb3 at least.

2) If that does not work, run up2date with -vvv to get more info and attach the log to this BZ.  I am copying the Stack people.
Comment 4 Deepak Bhole 2008-10-20 13:02:13 EDT
If you are using jbossas 4.2.0, you no longer need jbossas-ejb3. The contents of the ejb3 subpackage were added to the jbossas package starting with 4.2.0...
Comment 5 Dennis Gregorovic 2009-02-03 13:01:20 EST
Can this be closed?

Note You need to log in before you can comment on or make changes to this bug.